Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class ClockParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.TimingParser
              org.apache.batik.parser.ClockParser

All Implemented Interfaces:
  Localizable, Parser

    public class ClockParser

extends TimingParser

A parser for clock values.

Field Summary
`protected ClockHandler` | `clockHandler` The handler used to report parse events.
`protected boolean` | `parseOffset` Whether this parser should parse offsets rather than clock values.

Fields inherited from class org.apache.batik.parser.TimingParser
`TIME_ACCESSKEY, TIME_ACCESSKEY_SVG12, TIME_EVENTBASE, TIME_INDEFINITE, TIME_MEDIA_MARKER, TIME_OFFSET, TIME_REPEAT, TIME_SYNCBASE, TIME_WALLCLOCK, useSVG11AccessKeys, useSVG12AccessKeys`

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`ClockParser(boolean parseOffset)` Creates a new ClockParser.

Method Summary
`protected void` | `doParse()` Parses a clock value.
`ClockHandler` | `getClockHandler()` Returns the parse event handler in use.
`void` | `setClockHandler(ClockHandler handler)` Registers a parse event handler.

Methods inherited from class org.apache.batik.parser.TimingParser
`parseClockValue, parseDigits, parseFraction, parseIDValue, parseName, parseOffset, parseTimingSpecifier, parseUnit, parseWallclockValue`

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clockHandler

    protected ClockHandler clockHandler

  The handler used to report parse events.

### parseOffset

    protected boolean parseOffset

  Whether this parser should parse offsets rather than clock values.

Constructor Detail

### ClockParser

    public ClockParser(boolean parseOffset)

  Creates a new ClockParser.

Method Detail

### setClockHandler

    public void setClockHandler(ClockHandler handler)

  Registers a parse event handler.

### getClockHandler

    public ClockHandler getClockHandler()

  Returns the parse event handler in use.

### doParse

    protected void doParse()
                    throws ParseException,
                           IOException

  Parses a clock value.

  Specified by:
    `doParse` in class `AbstractParser`
  Throws:
    `ParseException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.